Bug 1167321 - Enable setting on MongoDB translator for controlling timezone setting for Date and Timestamp columns in some data sources
Summary: Enable setting on MongoDB translator for controlling timezone setting for Da...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Van Halbert
QA Contact: Filip Elias
URL:
Whiteboard:
Depends On:
Blocks: 1275333
TreeView+ depends on / blocked
 
Reported: 2014-11-24 13:12 UTC by Filip Elias
Modified: 2016-01-27 14:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
For JDG, MongoDB and Solr data sources, it has been observed that Date and Timestamp columns in the resultset are affected by a time zone of JBoss Data Virtualization server. For these data sources, there is no remote notion of Calendar based time-stamp. The acceptable approach would be to have the respective translators updated with a server time zone setting (similar to JDBC) and have the translator adjust the UTC value to keep the calendar fields consistent. This way the server will always return the same values for Date and Timestamp columns even though the time zone of the server is changed.
Clone Of:
: 1275333 1275335 (view as bug list)
Environment:
Last Closed: 2016-01-27 14:09:55 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker TEIID-3231 0 Major Closed Enable setting on MongoDB translator for controlling timezone setting for Date and Timestamp columns 2016-08-09 04:58:16 UTC

Description Filip Elias 2014-11-24 13:12:47 UTC
Date and Timestamp columns in the resultset are affected by a time zone of DV server. This problem occurs in JDG, MongoDB and Solr data sources.

DV server should return always the same values for Date and Timestamp columns even though the time zone of DV server is changed.

Comment 1 Van Halbert 2014-11-25 21:45:27 UTC
The engineer considers this an enhancement and would like to target this to the 8.10 branch, which means it would be in DV 6.2.

Comment 2 Filip Elias 2014-12-08 12:29:33 UTC
I have no problem to postpone this until DV 6.2.

Comment 3 Van Halbert 2015-05-04 14:30:07 UTC
Moved to DV 6.3, as where TEIID 8.10 will be included.

Comment 4 JBoss JIRA Server 2015-11-19 20:54:20 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3231 to Resolved

Comment 5 Van Halbert 2015-12-21 21:47:11 UTC
MongoDB values are in utc https://docs.mongodb.org/v3.0/reference/bson-types/#document-bson-type-timestamp so it's expected that their display will change if the Teiid server is in a different timezone.

Comment 7 JBoss JIRA Server 2016-01-26 15:55:53 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3231 to Closed

Comment 8 Van Halbert 2016-01-27 14:09:55 UTC
all source dates are effectively UTC which means that it's expected that they will display differently if the teiid server timezone changes.


Note You need to log in before you can comment on or make changes to this bug.